hpp-corbaserver: hpp::corbaServer::core_idl::SteeringMethodStorage< D > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
hpp::corbaServer::core_idl::SteeringMethodStorage< D > Class Template Reference

`#include <hpp/corbaserver/core_idl/steering-methods.hh>`

Inheritance diagram for hpp::corbaServer::core_idl::SteeringMethodStorage< D >:
[legend]
Collaboration diagram for hpp::corbaServer::core_idl::SteeringMethodStorage< D >:
[legend]

## Public Types
typedef AbstractStorage< D, core::SteeringMethod > | parent_t
Public Types inherited from hpp::corbaServer::AbstractStorage< D, core::SteeringMethod >
typedef weak_ptr< D > | ptr_t
typedef D | element_type

## Public Member Functions
| SteeringMethodStorage (const core::DevicePtr_t &_r, const ptr_t &_d)
template<typename T >
SteeringMethodStorage< T > | cast () const
Public Member Functions inherited from hpp::corbaServer::AbstractStorage< D, core::SteeringMethod >
| AbstractStorage (const ptr_t &_element)
| operator shared_ptr< D > () const
| operator weak_ptr< D > () const
long | use_count () const
| operator bool () const

## Public Attributes
core::DevicePtr_t | r
Public Attributes inherited from hpp::corbaServer::AbstractStorage< D, core::SteeringMethod >
ptr_t | element

## Member Typedef Documentation

## ◆ parent_t

template<typename D >

typedef AbstractStorage<D, core::SteeringMethod> hpp::corbaServer::core_idl::SteeringMethodStorage< D >::parent_t

## Constructor & Destructor Documentation

## ◆ SteeringMethodStorage()

template<typename D >

hpp::corbaServer::core_idl::SteeringMethodStorage< D >::SteeringMethodStorage | ( | const core::DevicePtr_t & | _r,
|  | const ptr_t & | _d
| ) |  |
| inline

## Member Function Documentation

## ◆ cast()

template<typename D >
template<typename T >

SteeringMethodStorage< T > hpp::corbaServer::core_idl::SteeringMethodStorage< D >::cast | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ r

template<typename D >

core::DevicePtr_t hpp::corbaServer::core_idl::SteeringMethodStorage< D >::r

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/core_idl/steering-methods.hh